1. MiniPOS Invoice API
UCS MiniPOS API - PUBLIC
  • MIDserver
    • MiniPOS Invoice API
      • ValidateInvoice
        POST
      • New Sales Invoice - Basic
        POST
      • New Refund Invoice - Basic
        POST
      • New Sales Invoice - Advanced
        POST
      • New Sales Invoice + Slip after payment
        POST
      • New Non fiscal slip
        POST
      • Get Invoice List
        GET
      • Get Invoice by ID
        GET
  • CRMserver
    • MiniPOS Products API
      • GET Products List
      • GET Product by ID
      • DELETE Product by ID
      • Change Product by ID
      • Create new Product Basic
      • Create new Product Advanced
    • MiniPOS Categories API
      • Create new Category
    • MiniPOS Shift Data API
      • GET shifts
      • GET receipts
  1. MiniPOS Invoice API

New Sales Invoice - Basic

POST
/api/invoice/new

Request

Body Params application/json

Examples

Responses

🟢200
application/json
Body

🟠400
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST '/api/invoice/new' \
--header 'Content-Type: application/json' \
--data-raw '//This example show minimum set of parameters needed to post this command
//All undefined values will be filled with default values
{
  "invoice_no": "DEMOSALESINVOICE1",//Can be removed
  "mode": 1,
  "rows": [
    {
      "text": "Product 1",
      "quantity": 1,
      "price": 2.34

    },
    {
      "text": "Product 2",
      "quantity": 15,
      "price": 2.15
    }
  ]
}'
Response Response Example
200 - Success
{
    "id": 51,
    "mode": 1,
    "station": null,
    "invoice_no": "DEMOSALESINVOICE1",
    "discount": 0,
    "discount_type": null,
    "created_at": "2026-02-17T16:34:29.331279",
    "updated_at": "2026-02-17T16:34:29.331279",
    "printed_at": null,
    "print_station": null,
    "print_pos_id": null,
    "print_chassis_id": null,
    "check_num": null,
    "total_sum": 0,
    "changed_sum": 0,
    "status": 10,
    "comment": null,
    "keep_drawer_closed": false,
    "print_paper_receipt": null,
    "is_auto_open": false,
    "report": null,
    "common_id": null,
    "synchronized_at": null,
    "info": {},
    "status_name": "New",
    "station_group": "1",
    "rows": [
        {
            "id": 369,
            "invoice": 51,
            "code": "0",
            "text": "Product 1",
            "quantity": 1,
            "maxquantity": 0,
            "init_quantity": 1,
            "price": 2.34,
            "is_free_price": false,
            "is_weight": false,
            "tax": 0,
            "fiscal_section": 1,
            "fiscal_section_name": "Nodaļa 1",
            "discount": 0,
            "discount_type": null,
            "payload": null,
            "info": {},
            "tax_rate": 21
        },
        {
            "id": 370,
            "invoice": 51,
            "code": "0",
            "text": "Product 2",
            "quantity": 15,
            "maxquantity": 0,
            "init_quantity": 15,
            "price": 2.15,
            "is_free_price": false,
            "is_weight": false,
            "tax": 0,
            "fiscal_section": 1,
            "fiscal_section_name": "Nodaļa 1",
            "discount": 0,
            "discount_type": null,
            "payload": null,
            "info": {},
            "tax_rate": 21
        }
    ],
    "payments": [],
    "receipts": []
}
Modified at 2026-04-15 12:52:15
Previous
ValidateInvoice
Next
New Refund Invoice - Basic
Built with